## dods.dap.Server
Class RegExpException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              dods.dap.DODSException
                  dods.dap.Server.SDODSException
                      dods.dap.Server.RegExpException

All Implemented Interfaces:
  Serializable

public class RegExpException
extends SDODSException

Thrown by `Operator.op` when an attempt is made to parse a improperly formed regular expression. Reular expressions should use the same syntax as grep.

See Also:
  `Operator.op(int,BaseType, BaseType)`, Serialized Form

Field Summary

Fields inherited from class dods.dap.DODSException
`CANNOT_READ_FILE, JAVA_PROGRAM, MALFORMED_EXPR, NO_AUTHORIZATION, NO_PROGRAM, NO_SUCH_FILE, NO_SUCH_VARIABLE, TCL_PROGRAM, UNDEFINED_ERROR, UNDEFINED_PROG_TYPE, UNKNOWN_ERROR`

Fields inherited from class java.lang.Exception
``

Constructor Summary
`RegExpException(int err, String s)` Construct a `RegExpException` with the specified message and DODS error code see (`DODSException`).
`RegExpException(String s)` Construct a `RegExpException` with the specified detail message.

Methods inherited from class dods.dap.DODSException
`getErrorCode, getErrorMessage, getMessage, getProgramSource, getProgramType, parse, print, print, setErrorCode, setErrorMessage, setProgramSource, setProgramType`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### RegExpException

    public RegExpException(String s)

  Construct a `RegExpException` with the specified detail message.

Parameters:
  `s` - the detail message.

### RegExpException

    public RegExpException(int err,
                           String s)

  Construct a `RegExpException` with the specified message and DODS error code see (`DODSException`).

Parameters:
  `err` - the DODS error code.
  `s` - the detail message.